"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createPageValidation = void 0;
var _validation = require("./pages/validation");
var _api = require("@webiny/api");
var _utils = require("@webiny/utils");
const createPageValidation = () => {
  return new _api.ContextPlugin(async context => {
    context.pageBuilder.onPageBeforeUpdate.subscribe(async params => {
      const {
        page,
        original,
        input
      } = params;
      const updateValidationResult = await (0, _validation.createPageUpdateValidation)().safeParseAsync(input);
      if (!updateValidationResult.success) {
        throw (0, _utils.createZodError)(updateValidationResult.error);
      }
      const updateSettingsValidationResult = await (0, _validation.createPageSettingsUpdateValidation)().safeParseAsync({
        ...original.settings,
        ...page.settings
      });
      if (!updateSettingsValidationResult.success) {
        throw (0, _utils.createZodError)(updateSettingsValidationResult.error);
      }
      page.settings = Object.assign({}, page.settings, updateSettingsValidationResult.data);
    });
  });
};
exports.createPageValidation = createPageValidation;

//# sourceMappingURL=pages.validation.js.map